BizKitHub
DocsAPI ReferenceDrive/bff/drive/folder-stats
getDriveAdmin BFF

/bff/drive/folder-stats

Root = whole organisation. Trash excluded.

DrivegetBffDriveFolder-stats

Parameters

1 query

Query parameters

· 1
pathstringOptional
Exampleexample_path

Response schema

1 status code documented

200Success
fileCountnumberRequired
folderCountnumberRequired
totalSizenumberRequired
totalSizeFormattedstringRequired
canDownloadbooleanRequired

Within the ZIP export limits.

Response example

application/json
{
  "fileCount": 0,
  "folderCount": 0,
  "totalSize": 0,
  "totalSizeFormatted": "example_totalSizeFormatted",
  "canDownload": false
}

Request example

GET /bff/drive/folder-stats

get
curl -X GET "https://api.bizkithub.com/bff/drive/folder-stats?path=example_path" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key